Skip to content

Fill Personas From Global Doc

POST
/personas/from-global-doc

Create or complete personas from the finished persona-research document.

Idempotent. A persona with a committee role already set is left alone.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body

Any of:
object
website_url
Any of:
string

Responses

200

Successful Response

object
data
required

A list of personas, ICPs or committees under items.

object
items
Array
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string